• 赤色のリンクは、まだ日本語Codexに存在しないページ・画像です。英語版と併せてご覧ください。(詳細

このWikiはいつでも誰でも編集できます

サーバーの用意

提供: WordPress Codex 日本語版
2007年7月14日 (土) 01:13時点におけるBono (トーク | 投稿記録)による版 (和訳)

移動先: 案内検索

WordPress は、大抵のホスティングサービス(レンタルサーバ)や 個人の Unix/Linux のごく一般的な環境に設置できるはずです。 (注:日本の場合、インターネット接続プロバイダのサーバスペースは、Perl は使えても、WordPress に必要な PHP・MySQL を使えないことが多いです。)

サーバ要件

(Server requirements)


バージョン 3.2 系以降

  • PHP バージョン 5.2.4 以上
  • MySQL バージョン 5.0.15 以上または MariaDB (バージョン問わず)

バージョン 2.9〜3.1 系

  • PHP バージョン 4.3 以上
  • MySQL バージョン 4.1.2 以上

共通オプション

上記すべてのバージョンに共通する、特定の機能を使う場合に必要なオプション。


» 旧バージョンのサーバ要件


推奨構成

(Recommended setup)

WordPress の動作に確実なプラットフォームとしては、Apache または LiteSpeed ウェブサーバの Linux をお薦めしますが、PHPMySQL をサポートしているサーバであれば動きます。あなたのサーバがこのプラットフォームと mod_rewrite をサポートしていない場合、これらを提供している ホスティングサービス(レンタルサーバ) に乗り換えたほうがいいでしょう。

サーバへのリモート接続が許可されていることも必須条件です。

ホスティングサービス(レンタルサーバ)

(Hosting providers)

最近はサーバスペースのレンタルの需要が多いので、上記サーバ要件を満たすサーバを見つけやすくなりました。候補がほしいときは次のページからどうぞ:

Install4Free - WordPress installed for free on your host!

上記の全ての要件を備えたホスティングサービスやウェブサイトを使っているけれど、自力でインストールするのが不安な場合は、WordPress Install4Free で無償インストールを依頼できます。